From 854e75132437d6e38c1cdff8a5c61d082d555655 Mon Sep 17 00:00:00 2001
From: Patrick Georgi <pgeorgi@google.com>
Date: Mon, 7 Jan 2019 20:50:11 +0100
Subject: [PATCH 18/26] TEMP: NOT FOR REVIEW: google/mistral: add CR50

Change-Id: Ia8184e48a43866b7d065952c13e7176bb3b52e4d
Signed-off-by: Patrick Georgi <pgeorgi@google.com>
Signed-off-by: Nitheesh Sekar <nsekar@codeaurora.org>
---
 src/mainboard/google/mistral/Kconfig | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/src/mainboard/google/mistral/Kconfig b/src/mainboard/google/mistral/Kconfig
index a2ba7cc24a5a..518dcfc50e30 100644
--- a/src/mainboard/google/mistral/Kconfig
+++ b/src/mainboard/google/mistral/Kconfig
@@ -13,10 +13,11 @@ config BOARD_SPECIFIC_OPTIONS
 	select SPI_FLASH_GIGADEVICE
 	select SPI_FLASH_WINBOND
 	select MAINBOARD_HAS_CHROMEOS
+	select MAINBOARD_HAS_TPM2
+	select MAINBOARD_HAS_SPI_TPM_CR50
 
 config VBOOT
 	select VBOOT_VBNV_FLASH
-	select VBOOT_MOCK_SECDATA
 	select VBOOT_NO_BOARD_SUPPORT
 	select GBB_FLAG_FORCE_DEV_SWITCH_ON
 
@@ -28,6 +29,10 @@ config MAINBOARD_VENDOR
 	string
 	default "Google"
 
+config DRIVER_TPM_SPI_BUS
+	hex
+	default 0x4
+
 ##########################################################
 #### Update below when adding a new derivative board. ####
 ##########################################################
-- 
The Qualcomm Innovation Center, Inc. is a member of the Code Aurora Forum,
a Linux Foundation Collaborative Project

